Package com.emc.d2fs.services.vdcontent_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.vdcontent_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.vdcontent_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.vdcontent_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddVDChildRequest`
  `createAddVDChildRequest()`
  Create an instance of `AddVDChildRequest`
  `AddVDChildResponse`
  `createAddVDChildResponse()`
  Create an instance of `AddVDChildResponse`
  `GetDialogForOperationRequest`
  `createGetDialogForOperationRequest()`
  Create an instance of `GetDialogForOperationRequest`
  `GetDialogForOperationResponse`
  `createGetDialogForOperationResponse()`
  Create an instance of `GetDialogForOperationResponse`
  `GetVDContentRequest`
  `createGetVDContentRequest()`
  Create an instance of `GetVDContentRequest`
  `GetVDContentResponse`
  `createGetVDContentResponse()`
  Create an instance of `GetVDContentResponse`
  `InsertVDInheritedComponentRequest`
  `createInsertVDInheritedComponentRequest()`
  Create an instance of `InsertVDInheritedComponentRequest`
  `InsertVDInheritedComponentResponse`
  `createInsertVDInheritedComponentResponse()`
  Create an instance of `InsertVDInheritedComponentResponse`
  `MoveVDChildRequest`
  `createMoveVDChildRequest()`
  Create an instance of `MoveVDChildRequest`
  `MoveVDChildResponse`
  `createMoveVDChildResponse()`
  Create an instance of `MoveVDChildResponse`
  `RemoveVDChildRequest`
  `createRemoveVDChildRequest()`
  Create an instance of `RemoveVDChildRequest`
  `RemoveVDChildResponse`
  `createRemoveVDChildResponse()`
  Create an instance of `RemoveVDChildResponse`
  `ReplaceVDChildRequest`
  `createReplaceVDChildRequest()`
  Create an instance of `ReplaceVDChildRequest`
  `ReplaceVDChildResponse`
  `createReplaceVDChildResponse()`
  Create an instance of `ReplaceVDChildResponse`
  `SetVDChildBindingVersionsRequest`
  `createSetVDChildBindingVersionsRequest()`
  Create an instance of `SetVDChildBindingVersionsRequest`
  `SetVDChildBindingVersionsResponse`
  `createSetVDChildBindingVersionsResponse()`
  Create an instance of `SetVDChildBindingVersionsResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.vdcontent_service

- ## Method Details

  - ### createGetVDContentRequest

    public GetVDContentRequest createGetVDContentRequest()
    Create an instance of `GetVDContentRequest`

  - ### createGetVDContentResponse

    public GetVDContentResponse createGetVDContentResponse()
    Create an instance of `GetVDContentResponse`

  - ### createAddVDChildRequest

    public AddVDChildRequest createAddVDChildRequest()
    Create an instance of `AddVDChildRequest`

  - ### createAddVDChildResponse

    public AddVDChildResponse createAddVDChildResponse()
    Create an instance of `AddVDChildResponse`

  - ### createMoveVDChildRequest

    public MoveVDChildRequest createMoveVDChildRequest()
    Create an instance of `MoveVDChildRequest`

  - ### createMoveVDChildResponse

    public MoveVDChildResponse createMoveVDChildResponse()
    Create an instance of `MoveVDChildResponse`

  - ### createRemoveVDChildRequest

    public RemoveVDChildRequest createRemoveVDChildRequest()
    Create an instance of `RemoveVDChildRequest`

  - ### createRemoveVDChildResponse

    public RemoveVDChildResponse createRemoveVDChildResponse()
    Create an instance of `RemoveVDChildResponse`

  - ### createReplaceVDChildRequest

    public ReplaceVDChildRequest createReplaceVDChildRequest()
    Create an instance of `ReplaceVDChildRequest`

  - ### createReplaceVDChildResponse

    public ReplaceVDChildResponse createReplaceVDChildResponse()
    Create an instance of `ReplaceVDChildResponse`

  - ### createSetVDChildBindingVersionsRequest

    public SetVDChildBindingVersionsRequest createSetVDChildBindingVersionsRequest()
    Create an instance of `SetVDChildBindingVersionsRequest`

  - ### createSetVDChildBindingVersionsResponse

    public SetVDChildBindingVersionsResponse createSetVDChildBindingVersionsResponse()
    Create an instance of `SetVDChildBindingVersionsResponse`

  - ### createInsertVDInheritedComponentRequest

    public InsertVDInheritedComponentRequest createInsertVDInheritedComponentRequest()
    Create an instance of `InsertVDInheritedComponentRequest`

  - ### createInsertVDInheritedComponentResponse

    public InsertVDInheritedComponentResponse createInsertVDInheritedComponentResponse()
    Create an instance of `InsertVDInheritedComponentResponse`

  - ### createGetDialogForOperationRequest

    public GetDialogForOperationRequest createGetDialogForOperationRequest()
    Create an instance of `GetDialogForOperationRequest`

  - ### createGetDialogForOperationResponse

    public GetDialogForOperationResponse createGetDialogForOperationResponse()
    Create an instance of `GetDialogForOperationResponse`